package com.muyu.cloud.pay.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay.domain
 * @Project：cloud-pay
 * @name：OrderPayInfo
 * @Date：2024/7/31 9:32
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName( value = "order_pay_info",autoResultMap = true)
public class OrderPayInfo {

    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 客户名称
     */

    private String  appName;

    /**
     * 客户编号
     */

    private String appCode;

    /**
     * 客户单号
     */

    private String  cusOrderNumber;

    /**
     * 支付单号
     */

    private String payOrderNumber;

    /**
     * 渠道商类型
     */

    private String channelType;

    /**
     * 渠道商单号
     */

    private String channelOrderNumber;

    /**
     * 支付单状态
     */

    private String  status;















}
